/*
 * LALAppsVCSInfo.h.in - LALApps VCS Information Header
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with with program; see the file COPYING. If not, write to the
 * Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 * MA 02111-1307 USA
 *
 * Copyright (C) 2009 Adam Mercer
 */

#ifndef _LALAPPSVCSINFO_H
#define _LALAPPSVCSINFO_H

#include <config.h>

#include <lal/LALVCSInfo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* vcs information defines */
#define LALAPPS_VCS_ID "3317a1da88ee94427997fe54dd8ac59abd118c29"
#define LALAPPS_VCS_DATE "2009-11-19 20:33:01 +0000"
#define LALAPPS_VCS_BRANCH "None"
#define LALAPPS_VCS_TAG "lal_lalapps_6_3_2_release"
#define LALAPPS_VCS_AUTHOR "Adam Mercer <adam.mercer@ligo.org>"
#define LALAPPS_VCS_COMMITTER "Adam Mercer <adam.mercer@ligo.org>"
#define LALAPPS_VCS_STATUS "CLEAN: All modifications committed"

/* vcs information defines - identable*/
#define LALAPPS_VCS_IDENT_ID "$" "Id: 3317a1da88ee94427997fe54dd8ac59abd118c29 " "$"
#define LALAPPS_VCS_IDENT_DATE "$" "Date: 2009-11-19 20:33:01 +0000 " "$"
#define LALAPPS_VCS_IDENT_BRANCH "$" "Branch: None " "$"
#define LALAPPS_VCS_IDENT_TAG "$" "Tag: lal_lalapps_6_3_2_release " "$"
#define LALAPPS_VCS_IDENT_AUTHOR "$" "Author: Adam Mercer <adam.mercer@ligo.org> " "$"
#define LALAPPS_VCS_IDENT_COMMITTER "$" "Committer: Adam Mercer <adam.mercer@ligo.org> " "$"
#define LALAPPS_VCS_IDENT_STATUS "$" "Status: CLEAN: All modifications committed " "$"

/* vcs information structure */
static const struct tagLALVCSInfo lalAppsVCSInfo = { \
  LALAPPS_VERSION, \
  LALAPPS_VCS_ID, \
  LALAPPS_VCS_DATE, \
  LALAPPS_VCS_BRANCH, \
  LALAPPS_VCS_TAG, \
  LALAPPS_VCS_AUTHOR, \
  LALAPPS_VCS_COMMITTER, \
  LALAPPS_VCS_STATUS \
};

#ifdef __cplusplus
}
#endif

#endif /* _LALAPPSVCSINFO_H */

/*
 * vim: tw=0 ts=2 et
 */
